Bug 142518 - [em] [lagg] Problem on 8.0-STABLE with em and lagg
Summary: [em] [lagg] Problem on 8.0-STABLE with em and lagg
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2010-01-09 06:30 UTC by DD
Modified: 2015-06-30 16:52 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DD 2010-01-09 06:30:03 UTC
Using this em(4) cards:

em0@pci0:13:0:0:        class=0x020000 card=0x108c15d9 chip=0x108c8086 rev=0x03 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Intel Corporation 82573E Gigabit Ethernet Controller (Copper) (82573E)'
    class      = network
    subclass   = ethernet
em1@pci0:14:0:0:        class=0x020000 card=0x109a15d9 chip=0x109a8086 rev=0x00 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Intel PRO/1000 PL Network Adaptor (82573L)'
    class      = network
    subclass   = ethernet

I configured a lagg interface (lagg0) to lacp on two em interfaces and Cisco, and configured a vlan with "vlandev lagg0" (vlan3). Under 7.2-STABLE on this host, there were no issues. Upon upgrading to 8.0-STABLE, the host became unable to communicate through either vlan interface. The host is still able to receive traffic; only outbound traffic are problematic, because packets not transfered on target hosts and on port of Cisco where host connected (two gi and etherchannel po) not seeing any mac.

How-To-Repeat: Boot a system containing two em(4) interfaces (may need to be the above chipset) with no network configuration in rc.conf and execute the following commands as root:

# ifconfig em0 link0 up
# ifconfig em1 link0 up
# ifconfig lagg0 create laggproto lacp laggport em0 laggport em1 up
# ifconfig vlan3 create vlan 3 vlandev lagg0
# ifconfig vlan3 <ip>/<mask> up

Generate traffic on the configured IP network (e. g., ping).
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-01-11 09:44:54 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-net

This does not sound i386-specific.
Comment 2 jfb 2010-01-13 16:37:16 UTC
On Mon, Jan 11, 2010 at 09:45:11AM +0000, linimon@FreeBSD.org wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=142518

Please see also kern/141646.  This may well be the same issue.

Jeff
Comment 3 Andre Oppermann freebsd_committer 2010-08-23 18:37:53 UTC
Responsible Changed
From-To: freebsd-net->jfv

Over to maintainer.
Comment 4 Ed Maste freebsd_committer 2012-05-01 19:51:11 UTC
State Changed
From-To: open->feedback

May be the same as kern/141646, which is fixed in 8.2.  To the 
original submitter, can you test the patch from that PR or test 
FreeBSD 8.2 or later?
Comment 5 Ed Maste freebsd_committer 2012-05-01 19:53:35 UTC
Responsible Changed
From-To: jfv->net

It sounds like this is a problem with lagg(4) not em(4) and so shouldn't 
be assigned to jfv.
Comment 6 John Baldwin freebsd_committer freebsd_triage 2012-05-07 15:02:11 UTC
Responsible Changed
From-To: net->freebsd-net

Make responsible canonical.
Comment 7 Sean Bruno freebsd_committer 2015-06-30 16:52:13 UTC
This is no longer an issue in my environment.